# Expose a database publicly with TLS on a shared organization IP Source: https://docs.orchard.hackclub.com/api/operations/databases_public/ `POST /apiv1/databases/{id}/public` Operation ID: `databases_public` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "connectionString": { "type": "string" }, "enabled": { "type": "boolean" }, "host": { "type": "string" }, "ip": { "type": "string" }, "port": { "type": "number" } }, "required": [ "enabled", "host", "port", "connectionString" ], "type": "object" } ```